# Quality leaderboard (/docs/api/catalog/leaderboard_get)

Endpoints for a capability ranked by usage-derived quality (Wilson lower bound).

`GET /v1/catalog/leaderboards/{capability}`

```json
{
  "operationId": "leaderboard_get",
  "summary": "Quality leaderboard",
  "description": "Endpoints for a capability ranked by usage-derived quality (Wilson lower bound).",
  "tags": [
    "catalog"
  ],
  "parameters": [
    {
      "schema": {
        "type": "string",
        "pattern": "^[a-z]+(\\.[a-z0-9_]+)+$"
      },
      "required": true,
      "name": "capability",
      "in": "path"
    }
  ],
  "responses": {
    "200": {
      "description": "OK",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "capability": {
                "type": "string"
              },
              "entries": {
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {
                    "endpoint_id": {
                      "type": "string"
                    },
                    "rank": {
                      "type": "integer"
                    },
                    "score": {
                      "type": "number"
                    },
                    "reliability": {
                      "type": "number"
                    },
                    "fill": {
                      "type": "number"
                    },
                    "p50_ms": {
                      "type": [
                        "number",
                        "null"
                      ]
                    },
                    "quote_micro": {
                      "type": "integer"
                    }
                  },
                  "required": [
                    "endpoint_id",
                    "rank",
                    "score",
                    "reliability",
                    "fill",
                    "p50_ms",
                    "quote_micro"
                  ]
                }
              }
            },
            "required": [
              "capability",
              "entries"
            ]
          }
        }
      }
    },
    "default": {
      "description": "Error",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "error": {
                "type": "object",
                "properties": {
                  "code": {
                    "type": "string",
                    "enum": [
                      "invalid_request",
                      "unauthorized",
                      "insufficient_balance",
                      "max_cost_exceeded",
                      "scope_denied",
                      "budget_blocked",
                      "not_found",
                      "idempotency_mismatch",
                      "invalid_meta",
                      "rate_limited",
                      "upstream_error",
                      "response_buffer_limit",
                      "provider_capacity_unavailable",
                      "grid_saturated",
                      "upstream_timeout",
                      "conflict",
                      "internal_error",
                      "account_frozen",
                      "strict_filters",
                      "plan_limit_reached",
                      "validation_failed",
                      "deadline_exceeded",
                      "cancelled"
                    ]
                  },
                  "message": {
                    "type": "string"
                  },
                  "request_id": {
                    "type": "string"
                  },
                  "call_id": {
                    "type": "string"
                  },
                  "retry_after_ms": {
                    "type": "integer",
                    "minimum": 0
                  },
                  "details": {
                    "type": "object",
                    "additionalProperties": {}
                  }
                },
                "required": [
                  "code",
                  "message"
                ]
              }
            },
            "required": [
              "error"
            ]
          }
        }
      }
    }
  }
}
```
